Core - Bug # 23010

Status: Closed Priority: Should have
Author: Sebastian Michaelsen Category:

Created: 2010-06-27 Assigned To: Xavier Perseguers
Updated: 2013-06-01 Due date:

TYPO3 Version: 4.4

PHP Version: 53

Complexity:

Is Regression:

Sprint Focus:

Subject: Remove deprecated methods with deprecation log from core for 4.6

Description

Beginning with 4.5 we can systematically remove old deprecated stuff from the core. As a first step | wanted to remove the obvious.

This RFC removes all methods which:
- are deprecated since 4.3 or earlier
- have a deprecation log
- are not in use anymore anywhere in the core

There are also methods which are deprecated but don't have deprecation log. IMHO we shouldn't simply remove them even if they
were targeted for removal in 4.5. They should get deprecation logs (another RFC) and removal should be postponed to 4.7 for them.

Deprecated classes like gzip_encode should produce a deprecation log entry via constructor and also be removed in 4.7

(issue imported from #M14883)

Related issues:
related to Core - Task # 24954: The Big Cleanup 4.6

precedes TypoScript Reference (TSref) - Task # 29472: Add notes on removal of...

Closed 2011-04-25
Closed 2011-09-04

Associated revisions

Revision 92ed2089 - 2011-07-12 16:10 - Xavier Perseguers

[TASK] Remove deprecated methods with deprecation log

Remove methods and files scheduled for removal since TYPOS3 4.5.

Change-Id: 16ea863ae95f0433def4137cd4be1dc01ffc34bce

Resolves: #23010
Reviewed-on: http://review.typo3.org/1988

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
Reviewed-by: Oliver Klee
Reviewed-by: Stefan Neufeind
Reviewed-by: Georg Ringer
Tested-by: Georg Ringer

History

#1 - 2010-06-27 09:36 - Sebastian Michaelsen

Noticed that the class gzip_encode already had a deprecation log in the constructor. So it can be safely removed.
#2 - 2010-08-30 14:56 - Sebastian Michaelsen

Won't be done for 4.5 because of its LTS. Can be closed

#3 - 2010-08-30 15:04 - Chris topher

Resolved, no change required (for now).

This has been postponed to 4.6, because 4.5 with Long Term Support should not break anything.

Thanks for the update!

#4 - 2010-08-31 22:51 - Ingo Renner

opened a 4.6.0 version and set it as target.

#5 - 2011-05-10 15:43 - Mr. Hudson

Patch set 1 of change 16ea863ae95f0433def4137cd4be1dc01ffc34bce has been pushed to the review server.
It is available at http://review.typo3.org/1988

#6 - 2011-05-10 15:44 - Xavier Perseguers
- Assigned To set to Xavier Perseguers

#7 - 2011-05-10 15:50 - Xavier Perseguers
- Status changed from New to Under Review

#8 - 2011-05-10 16:18 - Mr. Hudson

Patch set 2 of change 16ea863ae95f0433def4137cd4be1dc01ffc34bce has been pushed to the review server.
It is available at http://review.typo3.org/1988

#9 - 2011-05-11 14:11 - Xavier Perseguers
- Target version changed from 1081 to 1238

#10 - 2011-05-15 13:15 - Mr. Hudson

Patch set 3 of change 16ea863ae95f0433def4137cd4be1dc01ffc34bce has been pushed to the review server.
It is available at http://review.typo3.org/1988

#11 - 2011-05-20 13:34 - Mr. Hudson

Patch set 4 of change 16ea863ae95f0433def4137cd4be1dc01ffc34bce has been pushed to the review server.
It is available at http://review.typo3.org/1988

#12 - 2011-05-20 13:47 - Mr. Hudson
Patch set 5 of change 16ea863ae95f0433def4137cd4be1dc01ffc34bce has been pushed to the review server.

It is available at http://review.typo3.org/1988

#13 - 2011-06-15 09:08 - Oliver Hader
- Target version changed from 1238 to 1281

#14 - 2011-07-12 13:41 - Mr. Hudson

Patch set 6 of change 16ea863ae95f0433def4137cd4be1dc01ffc34bce has been pushed to the review server.

It is available at http://review.typo3.org/1988

#15 - 2011-07-12 14:35 - Mr. Hudson

Patch set 7 of change 16ea863ae95f0433def4137cd4be1dc01ffc34bce has been pushed to the review server.

It is available at http://review.typo3.org/1988

#16 - 2011-07-12 16:10 - Xavier Perseguers
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Change has been successfully cherry-picked as 92ed20891b6daca779ea2e738578296¢c2779b515.

#17 - 2012-03-07 13:33 - Xavier Perseguers
- Status changed from Resolved to Closed

#18 - 2013-06-01 14:43 - Ernesto Baschny
- Target version deleted (1281)

Files
14883 v1.diff 58.4 kB 2010-06-27 Administrator Admin
14883_v2.diff 70.6 kB 2010-06-28 Administrator Admin
